Skip to content

Create Auth Url

POST
/api/v1/connectors/unified/auth-url
curl --request POST \
--url https://api.ultimateteam.ai/api/v1/connectors/unified/auth-url \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "integration_type": "example" }'

Build the hosted-auth URL after verifying the app is workspace-activated.

Media typeapplication/json
AuthUrlRequest
object
integration_type
required
Integration Type
string
>= 1 characters <= 100 characters
Examplegenerated
{
"integration_type": "example"
}

Successful Response

Media typeapplication/json
Response Create Auth Url Api V1 Connectors Unified Auth Url Post
object
key
additional properties
string
Examplegenerated
{
"additionalProperty": "example"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}